Subject: bug#19296: [PATCH] Package archives now have priorities.

From: Drew Adams <[email-masked]>
Date: Sun, 7 Dec 2014 14:27:12 -0800 (PST)

> This solves the "MELPA problem", where MELPA assigns date-based
> version numbers to packages which override all other archives.
> Giving MELPA a lower priority means packages are installed from
> MELPA only when the package is not available from other archives.

IOW, it creates a new MELPA problem.

> This can be overridden manually by the user.

IOW, MELPA users will be made to jump through additional hoops.

And why are we choosing to do this to the greatest number of
users and for the greatest number of packages?  (MELPA has
more users, more packages, and more downloads.)